Subject: bug#45072: 28.0.50; Emacs switches other buffer back uncontrollably, if other window's buffer is changed by user during minibuffer editing

From: Jean Louis <[email-masked]>
Date: Mon, 7 Dec 2020 19:42:45 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-12-07 19:11]:
> Jean Louis <[email-masked]> writes:
> 
> > At that point one may see that the window's buffer switched back to
> > what it was previously. User's workflow is disturbed.
> 
> Yes, when exiting a recursive edit, Emacs will (try to) restore the
> window configuration in place when the recursive edit was entered.
> 
> This can be somewhat confusing -- I can see why somebody would want to
> avoid that.  Is there some user option to control this?  I have a brief
> look, but didn't find anything.  If not, would it make sense to add one?

What makes sense is not to have that by default and let users switch
windows as they wish. If I have horizontally split windows:

1
--
2
--
minibuffer

and I change window 1 to 4, upon completing minibuffer window 1
becomes 4. I cannot see why. I need to consult 2-3 buffers while using
minibuffer.

Why is that default there?